Library Version 11.2.5.3

operator->
Prev | Chapter 13. Db_vector_iterator | Next

## operator->

### Function Details

    pointer operator->() const

Arrow operator.

Return the pointer to the cached data element, which is an ElementRef<T> object if T is a class type or an ElementHolder<T> object if T is a C++ primitive data type. The returned value can be used to read or update its referenced element.

#### Return Value

The address of the referenced object.

### Class

db_vector_iterator

Prev | Up | Next
operator * | Home | operator[]